### Signal

# Gtk Widget::map

#### Declaration

    void
    map (
      GtkWidget self,
      gpointer user_data
    )

#### Description [src]

Emitted when `widget` is going to be mapped.

A widget is mapped when the widget is visible (which is controlled with `GtkWidget:visible`) and all its parents up to the toplevel widget are also visible.

The ::map signal can be used to determine whether a widget will be drawn, for instance it can resume an animation that was stopped during the emission of `GtkWidget::unmap`.

Default handler: | The default handler is called before the handlers added via `g_signal_connect()`.